Index: uspace/lib/softfloat/mul.c
===================================================================
--- uspace/lib/softfloat/mul.c	(revision 1b20da07baaa3e3c424f62c927274e676e4295cd)
+++ uspace/lib/softfloat/mul.c	(revision a35b458e9db1ca95e679799dc7c1b12c83359ca3)
@@ -51,7 +51,7 @@
 	uint64_t frac1, frac2;
 	int32_t exp;
-	
+
 	result.parts.sign = a.parts.sign ^ b.parts.sign;
-	
+
 	if (is_float32_nan(a) || is_float32_nan(b)) {
 		/* TODO: fix SigNaNs */
@@ -61,5 +61,5 @@
 			return result;
 		}
-		
+
 		if (is_float32_signan(b)) { /* TODO: fix SigNaN */
 			result.parts.fraction = b.parts.fraction;
@@ -67,10 +67,10 @@
 			return result;
 		}
-		
+
 		/* set NaN as result */
 		result.bin = FLOAT32_NAN;
 		return result;
 	}
-	
+
 	if (is_float32_infinity(a)) {
 		if (is_float32_zero(b)) {
@@ -79,10 +79,10 @@
 			return result;
 		}
-		
+
 		result.parts.fraction = a.parts.fraction;
 		result.parts.exp = a.parts.exp;
 		return result;
 	}
-	
+
 	if (is_float32_infinity(b)) {
 		if (is_float32_zero(a)) {
@@ -91,14 +91,14 @@
 			return result;
 		}
-		
+
 		result.parts.fraction = b.parts.fraction;
 		result.parts.exp = b.parts.exp;
 		return result;
 	}
-	
+
 	/* exp is signed so we can easy detect underflow */
 	exp = a.parts.exp + b.parts.exp;
 	exp -= FLOAT32_BIAS;
-	
+
 	if (exp >= FLOAT32_MAX_EXPONENT) {
 		/* FIXME: overflow */
@@ -108,5 +108,5 @@
 		return result;
 	}
-	
+
 	if (exp < 0) {
 		/* FIXME: underflow */
@@ -116,5 +116,5 @@
 		return result;
 	}
-	
+
 	frac1 = a.parts.fraction;
 	if (a.parts.exp > 0) {
@@ -123,7 +123,7 @@
 		++exp;
 	}
-	
+
 	frac2 = b.parts.fraction;
-	
+
 	if (b.parts.exp > 0) {
 		frac2 |= FLOAT32_HIDDEN_BIT_MASK;
@@ -131,9 +131,9 @@
 		++exp;
 	}
-	
+
 	frac1 <<= 1; /* one bit space for rounding */
-	
+
 	frac1 = frac1 * frac2;
-	
+
 	/* round and return */
 	while ((exp < FLOAT32_MAX_EXPONENT) &&
@@ -143,9 +143,9 @@
 		frac1 >>= 1;
 	}
-	
+
 	/* rounding */
 	/* ++frac1; FIXME: not works - without it is ok */
 	frac1 >>= 1; /* shift off rounding space */
-	
+
 	if ((exp < FLOAT32_MAX_EXPONENT) &&
 	    (frac1 >= (1 << (FLOAT32_FRACTION_SIZE + 1)))) {
@@ -153,5 +153,5 @@
 		frac1 >>= 1;
 	}
-	
+
 	if (exp >= FLOAT32_MAX_EXPONENT) {
 		/* TODO: fix overflow */
@@ -161,16 +161,16 @@
 		return result;
 	}
-	
+
 	exp -= FLOAT32_FRACTION_SIZE;
-	
+
 	if (exp <= FLOAT32_FRACTION_SIZE) {
 		/* denormalized number */
 		frac1 >>= 1; /* denormalize */
-		
+
 		while ((frac1 > 0) && (exp < 0)) {
 			frac1 >>= 1;
 			++exp;
 		}
-		
+
 		if (frac1 == 0) {
 			/* FIXME : underflow */
@@ -180,8 +180,8 @@
 		}
 	}
-	
+
 	result.parts.exp = exp;
 	result.parts.fraction = frac1 & ((1 << FLOAT32_FRACTION_SIZE) - 1);
-	
+
 	return result;
 }
@@ -200,7 +200,7 @@
 	uint64_t frac1, frac2;
 	int32_t exp;
-	
+
 	result.parts.sign = a.parts.sign ^ b.parts.sign;
-	
+
 	if (is_float64_nan(a) || is_float64_nan(b)) {
 		/* TODO: fix SigNaNs */
@@ -219,5 +219,5 @@
 		return result;
 	}
-	
+
 	if (is_float64_infinity(a)) {
 		if (is_float64_zero(b)) {
@@ -230,5 +230,5 @@
 		return result;
 	}
-	
+
 	if (is_float64_infinity(b)) {
 		if (is_float64_zero(a)) {
@@ -241,10 +241,10 @@
 		return result;
 	}
-	
+
 	/* exp is signed so we can easy detect underflow */
 	exp = a.parts.exp + b.parts.exp - FLOAT64_BIAS;
-	
+
 	frac1 = a.parts.fraction;
-	
+
 	if (a.parts.exp > 0) {
 		frac1 |= FLOAT64_HIDDEN_BIT_MASK;
@@ -252,7 +252,7 @@
 		++exp;
 	}
-	
+
 	frac2 = b.parts.fraction;
-	
+
 	if (b.parts.exp > 0) {
 		frac2 |= FLOAT64_HIDDEN_BIT_MASK;
@@ -260,10 +260,10 @@
 		++exp;
 	}
-	
+
 	frac1 <<= (64 - FLOAT64_FRACTION_SIZE - 1);
 	frac2 <<= (64 - FLOAT64_FRACTION_SIZE - 2);
-	
+
 	mul64(frac1, frac2, &frac1, &frac2);
-	
+
 	frac1 |= (frac2 != 0);
 	if (frac1 & (0x1ll << 62)) {
@@ -271,5 +271,5 @@
 		exp--;
 	}
-	
+
 	result = finish_float64(exp, frac1, result.parts.sign);
 	return result;
@@ -289,7 +289,7 @@
 	uint64_t frac1_hi, frac1_lo, frac2_hi, frac2_lo, tmp_hi, tmp_lo;
 	int32_t exp;
-	
+
 	result.parts.sign = a.parts.sign ^ b.parts.sign;
-	
+
 	if (is_float128_nan(a) || is_float128_nan(b)) {
 		/* TODO: fix SigNaNs */
@@ -311,5 +311,5 @@
 		return result;
 	}
-	
+
 	if (is_float128_infinity(a)) {
 		if (is_float128_zero(b)) {
@@ -324,5 +324,5 @@
 		return result;
 	}
-	
+
 	if (is_float128_infinity(b)) {
 		if (is_float128_zero(a)) {
@@ -337,11 +337,11 @@
 		return result;
 	}
-	
+
 	/* exp is signed so we can easy detect underflow */
 	exp = a.parts.exp + b.parts.exp - FLOAT128_BIAS - 1;
-	
+
 	frac1_hi = a.parts.frac_hi;
 	frac1_lo = a.parts.frac_lo;
-	
+
 	if (a.parts.exp > 0) {
 		or128(frac1_hi, frac1_lo,
@@ -351,8 +351,8 @@
 		++exp;
 	}
-	
+
 	frac2_hi = b.parts.frac_hi;
 	frac2_lo = b.parts.frac_lo;
-	
+
 	if (b.parts.exp > 0) {
 		or128(frac2_hi, frac2_lo,
@@ -362,8 +362,8 @@
 		++exp;
 	}
-	
+
 	lshift128(frac2_hi, frac2_lo,
 	    128 - FLOAT128_FRACTION_SIZE, &frac2_hi, &frac2_lo);
-	
+
 	tmp_hi = frac1_hi;
 	tmp_lo = frac1_lo;
@@ -372,5 +372,5 @@
 	add128(frac1_hi, frac1_lo, tmp_hi, tmp_lo, &frac1_hi, &frac1_lo);
 	frac2_hi |= (frac2_lo != 0x0ll);
-	
+
 	if ((FLOAT128_HIDDEN_BIT_MASK_HI << 1) <= frac1_hi) {
 		frac2_hi >>= 1;
@@ -381,5 +381,5 @@
 		++exp;
 	}
-	
+
 	result = finish_float128(exp, frac1_hi, frac1_lo, result.parts.sign, frac2_hi);
 	return result;
@@ -392,11 +392,11 @@
 	float32_u ua;
 	ua.val = a;
-	
+
 	float32_u ub;
 	ub.val = b;
-	
+
 	float32_u res;
 	res.data = mul_float32(ua.data, ub.data);
-	
+
 	return res.val;
 }
@@ -406,11 +406,11 @@
 	float32_u ua;
 	ua.val = a;
-	
+
 	float32_u ub;
 	ub.val = b;
-	
+
 	float32_u res;
 	res.data = mul_float32(ua.data, ub.data);
-	
+
 	return res.val;
 }
@@ -424,11 +424,11 @@
 	float64_u ua;
 	ua.val = a;
-	
+
 	float64_u ub;
 	ub.val = b;
-	
+
 	float64_u res;
 	res.data = mul_float64(ua.data, ub.data);
-	
+
 	return res.val;
 }
@@ -438,11 +438,11 @@
 	float64_u ua;
 	ua.val = a;
-	
+
 	float64_u ub;
 	ub.val = b;
-	
+
 	float64_u res;
 	res.data = mul_float64(ua.data, ub.data);
-	
+
 	return res.val;
 }
@@ -456,11 +456,11 @@
 	float128_u ua;
 	ua.val = a;
-	
+
 	float128_u ub;
 	ub.val = b;
-	
+
 	float128_u res;
 	res.data = mul_float128(ua.data, ub.data);
-	
+
 	return res.val;
 }
